Package twisted :: Package web :: Module microdom :: Class Text

[show private | hide private]
[frames | no frames]

## Class Text

         Node --+
                |
    CharacterData --+
                    |
                   Text

Known Subclasses:
  `RawText`

Method Summary
| `__init__(self, data, parentNode, raw)`
| `appendChild(self, child)` (inherited from `Node`)
| `cloneNode(self, deep, parent)`
| `firstChild(self)` (inherited from `Node`)
| `hasChildNodes(self)` (inherited from `Node`)
| `insertBefore(self, new, ref)` (inherited from `Node`)
| `lastChild(self)` (inherited from `Node`)
| `removeChild(self, child)` (inherited from `Node`)
| `replaceChild(self, newChild, oldChild)` (inherited from `Node`)
| `toprettyxml(self, indent, addindent, newl, strip)` (inherited from `Node`)
| `toxml(self, indent, addindent, newl, strip)` (inherited from `Node`)
| `writexml(self, stream, indent, addindent, newl, strip)`

Generated by Epydoc 1.1 on Sat Feb 15 21:18:16 2003 | http://epydoc.sf.net